%define name	gnome-applets
%define version	1.1.9
%define release	1mdk

%define	prefix		/usr
%define sysconfdir	/etc
%define	localstatedir	/var/lib

Release:	%{release}

Summary:	Small applications which embed themselves in the GNOME panel
Name:		%{name}
Version: 	%{version}
Copyright:	GPL
Group:		Graphical desktop/GNOME
Source:		ftp://ftp.gnome.org/pub/GNOME/sources/unstable/%{name}/%{name}-%{version}.tar.bz2
URL:		http://www.gnome.org/
BuildRoot:	/var/tmp/%{name}-%{version}-root
Docdir:		%{prefix}/doc
Requires:	libxml
Requires:	libgtop
Requires:	libghttp
#Requires:	libghtt

Requires:	gdk-pixbuf >= 0.7.0

%description
GNOME (GNU Network Object Model Environment) is a user-friendly
set of applications and desktop tools to be used in conjunction with a
window manager for the X Window System.  GNOME is similar in purpose and
scope to CDE and KDE, but GNOME is based completely on Open Source
software.  The gnome-applets package provides Panel applets which
enhance your GNOME experience.

You should install the gnome-applets package if you would like to abuse the
GNOME desktop environment by embedding small utilities in the GNOME panel.

%prep
%setup -q -n %{name}-%{version}

%build
CFLAGS="-g $RPM_OPT_FLAGS" ./configure	\
	--prefix=%{prefix} --sysconfdir=%{sysconfdir}	\
	--localstatedir=%{localstatedir}
make

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{prefix} \
	sysconfdir=$RPM_BUILD_ROOT%{sysconfdir} \
	localstatedir=$RPM_BUILD_ROOT%{localstatedir} install
rm -f $RPM_BUILD_ROOT%{prefix}/share/applets/Utility/gnotes_applet.desktop
rm -f $RPM_BUILD_ROOT%{prefix}/share/applets/Utility/bug-applet.desktop
# no binary stripping

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%{prefix}/bin/*
#%{prefix}/lib/gumma
%{prefix}/share/applets/*
#%{prefix}/share/bug-applet
%{prefix}/share/clockmail
%{prefix}/share/asclock
%{prefix}/share/geyes
%{prefix}/share/gnome/help/*
%{prefix}/share/gweather
%{prefix}/share/odometer
%{prefix}/share/pixmaps/*
%{prefix}/share/sound-monitor
%{prefix}/share/tickastat
%{prefix}/share/xmodmap
%{prefix}/share/locale/*
%config %{sysconfdir}/CORBA/servers/*

%changelog
* Tue Apr 25 2000 dam's <damien@mandrakesoft.com> 1.1.9-1mdk
- first mandrake release from helix code.
